<!--
 * @Author: your name
 * @Date: 2021-09-13 14:28:39
 * @LastEditTime: 2023-05-04 17:13:46
 * @LastEditors: zxq
 * @Description: In User Settings Edit
 * @FilePath: \qyp_finlean_plat\src\layout\components\AppMain.vue
-->
<template>
  <section :class="key=='/'?'set-app-main':'app-main'">
    <transition name="fade-transform" mode="out-in">
      <keep-alive :include="cachedViews">
        <router-view :key="key" />
      </keep-alive>
    </transition>
  </section>
</template>

<script>
export default {
  name: 'AppMain',
  computed: {
    cachedViews() {
      return this.$store.state.tagsView.cachedViews
    },
    key() {
      return this.$route.path
    }
  },
  watch:{

  },
  created(){
  }
}
</script>

<style lang="scss" scoped>
.app-main {
  height: calc(100vh - 50px);
  padding: 16px;
  box-sizing: border-box;
  width: 100%;
  position: relative;
  overflow-y:scroll;
  position: relative;
}
.set-app-main {
  height: calc(100vh - 50px);
  padding: 0px;
  box-sizing: border-box;
  width: 100%;
  position: relative;
  overflow-y:hidden;
  position: relative;
}
.app-footer{
    height: 72px;
    width: 100%;
    position: absolute;
    /* bottom: 0; */
    left: 0;
    background-color: #fff;
}
.fixed-header+.app-main {
  padding-top: 50px;
}

.hasTagsView {
  .app-main {
    /* 84 = navbar + tags-view = 50 + 34 */
    min-height: calc(100vh - 84px);
  }

  .fixed-header+.app-main {
    padding-top: 84px;
  }
}
</style>

<style lang="scss">
.el-popup-parent--hidden {
  .fixed-header {
    padding-right: 15px;
  }
}
</style>
